
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Use this:
	.set_page_dirty = __set_page_dirty_nobuffers,

We already dropped the inclusion of <linux/buffer_head.h>, and we don't have a
backing block device for this FS.

"Without having looked at it, I'm sure that hostfs does not use buffer_heads. 
So setting your ->set_page_dirty a_op to point at __set_page_dirty_nobuffers()
is a reasonable thing to do - it'll provide a slight speedup."

This speedup is one less spinlock held and one less conditional branch, which
isn't bad.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/hostfs/hostfs_kern.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/hostfs/hostfs_kern.c~uml-hostfs-avoid-buffers fs/hostfs/hostfs_kern.c
--- 25/fs/hostfs/hostfs_kern.c~uml-hostfs-avoid-buffers	2005-04-26 04:25:26.930123320 -0700
+++ 25-akpm/fs/hostfs/hostfs_kern.c	2005-04-26 04:25:26.934122712 -0700
@@ -521,7 +521,7 @@ int hostfs_commit_write(struct file *fil
 static struct address_space_operations hostfs_aops = {
 	.writepage 	= hostfs_writepage,
 	.readpage	= hostfs_readpage,
-/* 	.set_page_dirty = __set_page_dirty_nobuffers, */
+	.set_page_dirty = __set_page_dirty_nobuffers,
 	.prepare_write	= hostfs_prepare_write,
 	.commit_write	= hostfs_commit_write
 };
_
